Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 769083 - dev-util/bless depends on dev-dotnet/gtk-sharp
Summary: dev-util/bless depends on dev-dotnet/gtk-sharp
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mike Auty
URL: https://github.com/afrantzis/bless/is...
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: gtksharp2-removal
  Show dependency tree
 
Reported: 2021-02-06 20:19 UTC by Andreas Sturmlechner
Modified: 2021-05-23 12:36 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2021-02-06 20:19:45 UTC
dev-dotnet/gtk-sharp itself depends on x11-libs/gtk+:2 which is EOL.
Comment 1 Andreas Sturmlechner gentoo-dev 2021-03-14 22:55:28 UTC
(In reply to Mike Auty from comment bug 769581#c3)
> I've not found any alternatives of the same quality and speed as bless.
Just for completeness, here is a list of available hex editors compiled from grep:

> app-editors/curses-hexedit
> app-editors/dhex
> app-editors/ghex
> app-editors/hexcurse
> app-editors/okteta
> app-editors/qhexedit2
> app-editors/shed
> app-editors/wxhexeditor
Comment 2 Sam James archtester gentoo-dev Security 2021-03-14 23:40:32 UTC
010 is my personal favourite but not yet packaged. Not FOSS though IIRC.
Comment 3 Andreas Sturmlechner gentoo-dev 2021-04-24 14:25:02 UTC
Please see linked pull request for package last rites preparation. I hope you can settle for one of the listed alternative packages. Alternatively, consider maintaining the package (together with all that it takes e.g. dev-dotnet/gtk-sharp) in an overlay.
Comment 4 Mike Auty gentoo-dev 2021-04-24 17:29:19 UTC
Sure, thanks for the heads-up...
Comment 5 Larry the Git Cow gentoo-dev 2021-04-24 18:28:16 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abcdebffcb1357c9ca8c9de091f24b130e4ef1a9

commit abcdebffcb1357c9ca8c9de091f24b130e4ef1a9
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-03-27 21:33:01 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-04-24 18:27:33 +0000

    profiles: Mask dev-dotnet/gtk-sharp +revdeps for last-rites
    
    Bug: https://bugs.gentoo.org/769077
    Bug: https://bugs.gentoo.org/769083
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/package.mask | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
Comment 6 Larry the Git Cow gentoo-dev 2021-05-23 12:36:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd2bcacd10903f2c0efac7e6a4b2381e94a157a8

commit dd2bcacd10903f2c0efac7e6a4b2381e94a157a8
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-05-23 12:35:37 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-05-23 12:35:37 +0000

    dev-util/bless: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/769083
    Closes: https://bugs.gentoo.org/772371
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 dev-util/bless/Manifest                            |   2 -
 dev-util/bless/bless-0.6.2-r1.ebuild               |  54 ------
 dev-util/bless/bless-0.6.3.ebuild                  |  47 -----
 .../files/bless-0.6.2-range-disambiguation.patch   | 202 ---------------------
 dev-util/bless/metadata.xml                        |   8 -
 profiles/package.mask                              |   7 -
 6 files changed, 320 deletions(-)